Bug 1637035 - Add transformation utils methods
Summary: Add transformation utils methods
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.9.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.9.5
Assignee: Brett Thurber
QA Contact: Yadnyawalk Tale
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1637016
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-08 13:36 UTC by Satoe Imaishi
Modified: 2018-11-05 14:00 UTC (History)
3 users (show)

Fixed In Version: 5.9.5.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1637016
Environment:
Last Closed: 2018-11-05 13:59:40 UTC
Category: ---
Cloudforms Team: V2V


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3466 None None None 2018-11-05 14:00:11 UTC

Comment 2 CFME Bot 2018-10-11 14:27:59 UTC
New commit detected on ManageIQ/manageiq-content/gaprindashvili:

https://github.com/ManageIQ/manageiq-content/commit/82ffa2ae06070275a7e631e3e0ee6ff6c0900cdd
commit 82ffa2ae06070275a7e631e3e0ee6ff6c0900cdd
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Tue Aug 21 12:11:31 2018 -0400
Commit:     Madhu Kanoor <mkanoor@redhat.com>
CommitDate: Tue Aug 21 12:11:31 2018 -0400

    Merge pull request #391 from fdupont-redhat/v2v_refactor_task_and_vm

    Transformation - Refactor task and vm collection

    (cherry picked from commit 61e19546166ef9f22ceb45a74223cee7d182e0f4)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1637035

 content/automate/ManageIQ/Transformation/Common.class/__methods__/utils.rb | 57 +
 content/automate/ManageIQ/Transformation/Common.class/__methods__/utils.yaml | 13 +
 spec/content/automate/ManageIQ/Transformation/Common.class/__methods__/utils_spec.rb | 247 +
 3 files changed, 317 insertions(+)

Comment 3 Yadnyawalk Tale 2018-10-15 13:42:57 UTC
I did saw this https://github.com/ManageIQ/manageiq-content/commit/82ffa2ae06070275a7e631e3e0ee6ff6c0900cdd code in 5.9.5.1's automate domain, but not able to check migration works with refactored code due to `right size` PR backport issue (https://gitter.im/ManageIQ/v2v?at=5bbdde4ac08b8b3067f8b1ea).

Checked in 5.9.5.1.20181008190812_3752291.

Comment 5 errata-xmlrpc 2018-11-05 13:59:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3466


Note You need to log in before you can comment on or make changes to this bug.